Subject: RE: More comments/questions on DS-TE solution draft

From: "Choudhury, Sanjaya" <[email-masked]>
Date: Tue, 23 Apr 2002 00:16:47 -0400

Hi Francois! Now that the DS-TE-REQTS, draft requires 
the DS-TE solution to be deployable in a part of the
topology (which is a realistic requirement); one of 
the basic assumption behind the DS-TE-PROTO appears to
be broken i.e the TE-Class Mapping is not same across
the network.

How your are planning to address situations where one
of the interface in the LSR, connects to a legacy TE 
LSR and the other to a LSR that supports DS-TE ?

Thanks,
sanjay

-----Original Message-----
From: Francois Le Faucheur
To: Choudhury, Sanjaya
Cc: [email-masked]'
Sent: 1/30/02 6:48 AM
Subject: Re: More comments/questions on DS-TE solution draft

<snip....>

>4. How can a LSR distinguish between the DS-TE and non DS-TE
>     bandwidth advertisement (DS-TE re-uses the existing constructs
>     to advertise the available bw in a CT+priority basis) ?

The working version of the draft indicates that:
         - to use more than one CT anywhere in the network, all LSRs
must 
support DS-TE (an LSR can not distinguish through signaling whether an
IGP 
advertisement is for TE or DS-TE)
         - all LSRs must support the same BAndwidth Constraint Model
         - all LSRs must be configured with the same CT/Preemption
mapping 
(this is defined more precisely in the draft, but basically it indicates

which CT/Preemption is advertised in each Bw value of IGP).

This approach results from earlier discussion. You would remember that
our 
initial "solution" proposed that we advertise  a Bw value for up to (8 
preemption) times (8 CTs). One of the main motivations for doing so was
so 
that an LSR can automatically detect which other LSR is TE-only or DS-TE

capable and so that you could set-up LSPs from other CTs than CT0 around

TE-only LSRs.  Another motivation was that no consistent mapping needed
to 
be configured since each value was explicitely associated with a given 
preemption and CT inside the IGP advertisement . After a lot of
discussion 
(including input from SPs), the conclusion was that these 
operational/configuration benefits did NOT justify extra IGP signaling
and 
associated scalability impacts. So the decision to advertise only 8 bw 
values included the assumption that things need to be upgraded and 
configured in a consistent fashion. Note that this is generally in line 
with Diff-Serv anyway where things must be configured consistently on
all 
boxes.

Cheers

Francois
<snip ...>